import java.io.*;
class  Example8_2{
	 public static void main(String args[]){
	       File f=new File("Example8_2.java");                              // 创建文件对象
		     System.out.println("Name: "+f.getName());                     // 获取文件名
		     System.out.println("Path: "+f.getAbsolutePath());                // 获取文件绝对路径
        if(f.exists()){                                            // 判断文件是否存在
			       System.out.println("文件存在");
             System.out.println((f.canRead() ?"文件是可读的":""));       // 判断文件可读性
             System.out.println((f.canWrite()?"文件是可写的":""));       // 判断文件可写性
			       System.out.println("文件长度为" + f.length() + " bytes.");    // 获取文件长度
		     }
		     else 
		         System.out.println("文件不存在");		
	  }
}
